package com.fp.persistence.parmas.dto.ws;

import java.io.Serializable;

/**
 * Contiene datos de la persona, sea natural o juridica
 * @author dcruz
 *
 */
public class PersonaDto implements Serializable{

	private static final long serialVersionUID = 5203532003887140746L;
	/**
	 * Codigo de la persona en la base de datos
	 */
	private Integer codigoPersona;
	/**
	 * Nombre de la persona
	 */
	private String nombre;
	/**
	 * C&oacute;digo del usuario atado a esta persona
	 */
	private String codigoUsuario;
	/**
	 * Identificaci&oacute;n de la persona
	 */
	private String identificacion;
	/**
	 * Tipo de identificaci&oacute;n de la persona
	 */
	private String tipoIdentificacion;
	/**
	 * Provincia de residencia de la persona
	 */
	private String provincia;
	/**
	 * Cant&oacute;n de residencia de la persona
	 */
	private String canton;
	/**
	 * Parroquia de residencia de la persona
	 */
	private String parroquia;
	/**
	 * Direcci&oacute;n de residencia de la persona
	 */
	private String direccion;
	/**
	 * Tel&eacute;fono de domicilio de la persona
	 */
	private String telefono;
	/**
	 * Representante legal en caso de ser jur&iacute;dico
	 */
	private String representanteLegal;
	/**
	 * Grado militar de la persona si lo posee
	 */
	private String grado;
	
	public Integer getCodigoPersona() {
		return codigoPersona;
	}
	public void setCodigoPersona(Integer codigoPersona) {
		this.codigoPersona = codigoPersona;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getIdentificacion() {
		return identificacion;
	}
	public void setIdentificacion(String identificacion) {
		this.identificacion = identificacion;
	}
	public String getTipoIdentificacion() {
		return tipoIdentificacion;
	}
	public void setTipoIdentificacion(String tipoIdentificacion) {
		this.tipoIdentificacion = tipoIdentificacion;
	}
	public String getProvincia() {
		return provincia;
	}
	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}
	public String getCanton() {
		return canton;
	}
	public void setCanton(String canton) {
		this.canton = canton;
	}
	public String getParroquia() {
		return parroquia;
	}
	public void setParroquia(String parroquia) {
		this.parroquia = parroquia;
	}
	public String getDireccion() {
		return direccion;
	}
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}
	public String getTelefono() {
		return telefono;
	}
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}
	public String getCodigoUsuario() {
		return codigoUsuario;
	}
	public void setCodigoUsuario(String codigoUsuario) {
		this.codigoUsuario = codigoUsuario;
	}
	public String getRepresentanteLegal() {
		return representanteLegal;
	}
	public void setRepresentanteLegal(String representanteLegal) {
		this.representanteLegal = representanteLegal;
	}
	public String getGrado() {
		return grado;
	}
	public void setGrado(String grado) {
		this.grado = grado;
	}

}
